Skip to main content
List Background Tasks
curl --request GET \
  --url https://{api_endpoint}/v1/tasks \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{api_endpoint}/v1/tasks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{api_endpoint}/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "task_id": "<string>",
    "task_name": "<string>",
    "status": "unknown",
    "task_args": {},
    "result": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

task_id
string
required
task_name
string | null
status
enum<string>
default:unknown
Available options:
unknown,
started,
completed,
failed
task_args
Task Args · object | null
result
string | null